
#ifndef __STHDRIMAGE_H__
#define __STHDRIMAGE_H__

#include "st.h"

/* STHDRImage - An HDR image, represented as a 2D array
 * of floating point colors.
 */
class STHDRImage {
public:
	STHDRImage();
	STHDRImage(int w, int h);
	~STHDRImage();
	
	int GetHeight() const;
	int GetWidth() const;

	void Resize(int nw, int nh);

	STColor& operator()(int x, int y);
	STColor*  Pixels();

	STStatus Load(const char* filename);
	STStatus Save(const char* filename);
private:
	int mHeight;
	int mWidth;
	STColor* mPixels;

	STStatus LoadPFM(const char* filename);
	STStatus SavePFM(const char* filename);
};

#endif //__STHDRIMAGE_H__

