#ifndef __STUTIL_H__
#define __STUTIL_H__

/* Short, inline functions which might be useful
 * in many places.
 */

#include <string>

/**
* Converts the 'ch' to upper case
*/
inline char
STToUpper(char ch) {
	if ( ch >= 'a' && ch <= 'z')
		return (char)((int)ch - 32);
	else
		return ch;
}


/**
* Parse filename to obtain the file extension.  We'll use this
* to determine which file format the image is in
*/
inline std::string
getExtension(const char* filename)
{
	std::string name = std::string(filename);
	size_t pos = name.find_last_of(".");

	std::string extension = name.substr(pos+1, name.size()-pos);

	for (size_t i=0; i<extension.size(); i++)
		extension[i] = STToUpper(extension[i]);

	return extension;
}

#endif //__STUTIL_H__

